Ir ao conteúdo
  • Cadastre-se
richardrer

Apache, lib not found, o que fazer?

Posts recomendados

Olah, Estou tentando executar o apache no meu servidor linux ( Slackware ), mais o mesmo esta dando que esta falando lib.

já procurei esta mesma lib mais estou encontrado muito pouco, sera que alguem pode me ajudar?

Como faco para copiar ou achar essa lib?

- - - - -

root@server:~# apachectl stauts

/usr/sbin/httpd: error while loading shared libraries: libaprutil-1.so.0: cannot open shared object file: No such file or directory

root@server:~# apachectl status

Looking up localhost

Making HTTP connection to localhost

Alert!: Unable to connect to remote host.

lynx: Can't access startfile http://localhost/server-status

root@server:~# apachectl fullstatus

Looking up localhost

Making HTTP connection to localhost

Alert!: Unable to connect to remote host.

lynx: Can't access startfile http://localhost/server-status

root@server:~# apachectl start

/usr/sbin/httpd: error while loading shared libraries: libaprutil-1.so.0: cannot open shared object file: No such file or directory

----

root@server:~# ldd /usr/sbin/httpd

linux-gate.so.1 => (0xffffe000)

libm.so.6 => /lib/libm.so.6 (0xb7fa1000)

libpcre.so.0 => /usr/lib/libpcre.so.0 (0xb7f81000)

libaprutil-1.so.0 => not found

libldap-2.3.so.0 => /usr/lib/libldap-2.3.so.0 (0xb7f4c000)

libsasl2.so.2 => /usr/lib/libsasl2.so.2 (0xb7f34000)

libresolv.so.2 => /lib/libresolv.so.2 (0xb7f21000)

libssl.so.0 => /usr/lib/libssl.so.0 (0xb7ee1000)

libcrypto.so.0 => /usr/lib/libcrypto.so.0 (0xb7da3000)

liblber-2.3.so.0 => /usr/lib/liblber-2.3.so.0 (0xb7d97000)

libdb-4.4.so => /lib/libdb-4.4.so (0xb7c9d000)

libexpat.so.1 => /usr/lib/libexpat.so.1 (0xb7c7c000)

libapr-1.so.0 => not found

libuuid.so.1 => /lib/libuuid.so.1 (0xb7c79000)

librt.so.1 => /lib/librt.so.1 (0xb7c71000)

libcrypt.so.1 => /lib/libcrypt.so.1 (0xb7c43000)

libpthread.so.0 => /lib/libpthread.so.0 (0xb7c2c000)

libdl.so.2 => /lib/libdl.so.2 (0xb7c27000)

libc.so.6 => /lib/libc.so.6 (0xb7ae5000)

/lib/ld-linux.so.2 (0xb7fcf000)

- - - - -

obs.: essa libapr-1.so.0 ainda nao dah erro mais logo vai comesar tmb :s

se alguem puder me ajudar agradeco

cddf18d34b.jpg

Compartilhar este post


Link para o post
Compartilhar em outros sites

Em geral isso ocorre quando você tem instalada uma versão da library mais recente do que a exigida pelo aplicativo. Exemplificando, se você tem o slackware 12 instalado, a versão do apr-util instalada é a 0.2.8 e você deve ter /usr/lib/libaprutil-1.so.0.2.8. Provavelmente, se você criar um link simbólico de libaprutil-1.so.0 para libaprutil-1.so.0.2.8, deverá funcionar, a não ser que a nova versão do apr-utils não guarde compatibilidade com o legado.

Compartilhar este post


Link para o post
Compartilhar em outros sites

Obrigado, consegui baixar certinho a lib. só tenho uma pergunta, sei que vai aparecer bem estupida mais, como faco para instalar essas libs?

desde já agradeço

Compartilhar este post


Link para o post
Compartilhar em outros sites

Como usuário root você digita: (isso no slackware)

#installpkg apr-x.x.x.tgz (onde x.x.x é a versão do pacote que você baixou)

e:

#installpkg apr-util-x.x.x.tgz (onde x.x.x é a versão do pacote que você baixou)

Compartilhar este post


Link para o post
Compartilhar em outros sites

Crie uma conta ou entre para comentar

Você precisar ser um membro para fazer um comentário

Criar uma conta

Crie uma nova conta em nossa comunidade. É fácil!

Crie uma nova conta

Entrar

Já tem uma conta? Faça o login.

Entrar agora





Sobre o Clube do Hardware

No ar desde 1996, o Clube do Hardware é uma das maiores, mais antigas e mais respeitadas publicações sobre tecnologia do Brasil. Leia mais

Direitos autorais

Não permitimos a cópia ou reprodução do conteúdo do nosso site, fórum, newsletters e redes sociais, mesmo citando-se a fonte. Leia mais

×
×
  • Criar novo...